# Rechnungen

{% hint style="warning" %}
Um Eingangsrechnungen erfassen oder abrufen zu können, muss die  Endpunktberechtigung "Belegsystem Eingangsrechnung erfassen" aktiviert werden.\
Um Ausgangsrechnungen abrufen zu können, muss die  Endpunktberechtigung "Belegsystem Ausgangsrechnung lesen" aktiviert werden
{% endhint %}

{% hint style="warning" %}
Der Eingangsprozess für Rechnungen wurde vollständig überarbeitet. Aus diesem Grund werden für den neuen Eingangsrechnungsprozess neue Endpunkte benötigt. Nach vollständiger Umstellung aller Kunden werden die alten Endpunkte abgekündigt und entfernt. Die Umstellung erfolgt in Abstimmung mit unseren Kunden und Partnern, soweit uns diese bekannt sind.

Die OPENWOWI Sandbox wurde bereits für die Verwendung des neuen Eingangsrechnungsprozesses vorbereitet. **Der alte Eingangsrechnungsprozess kann auf dieser Instanz nicht mehr verwendet werden**.
{% endhint %}

{% hint style="danger" %}
Die Endpunkte der Version 1.2 sind momentan in der Entwicklung und können noch Änderungen erfahren.
{% endhint %}

<details>

<summary>Hinweise zur Funktion</summary>

Informationen zu Rechnungen können ebenfalls im Abschnitt "Belegsystem" und im "Auftragswesen" gefunden werden. \
Aufgrund der sehr individuellen Buchungsarten und Konten-Strukturen sollte die Art der Rechnungsübermittlung immer vorher mit dem Kunden besprochen werden.\
\
Die Datenstruktur der Rechnung orientiert sich am Aufbau einer XRechnung. \
\
Bitte beachten Sie zudem, dass noch nicht für alle Zusatzkontierungen Endpunkte verfügbar sind. Zusatzkontierungen ohne existierende Endpunkte werden derzeit nur eingeschränkt unterstützt. Die Zuordnung von Zusatzkontierungen ist zudem nur möglich, wenn der vollständige Kontenrahmen und die Buchungsvorschriften bekannt sind.

</details>

## Rechnungen lesen

## Eingangsrechnungen abfragen (alter Eingangsrechnungsprozess)

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/AccountancyInvoiceReceipt/{id}" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

Zusätzlicher Endpunkt aus "Belegsystem"/"Bewegungsdaten" (bitte beachten Sie die abweichenden API-Endpunkt-Berechtigungen):

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/AccountancyTransactionData/InvoiceReceipt" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

Zusätzliche Endpunkte aus "Auftragswesen" (bitte beachten Sie die abweichenden API-Endpunkt-Berechtigungen):

<details>

<summary>Hinweise zur Funktion</summary>

Bitte beachten Sie, dass dieser Endpunkt nur Rechnungen anzeigen kann, die in der Leistungsprüfung den entsprechenden Auftragspositionen zugewiesen wurden.

</details>

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommissioningRead/InvoiceReceipt/CommissionItems" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Rechnungen lesen (neuer Eingangsrechnungsprozess)

#### Version 1.2

***

## GET /openwowi/v1.2/AccountancyInvoiceReceipt/NewInvoice/{id}

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"InvoiceNumber":{"type":"string","nullable":true},"PreliminaryNumber":{"type":"string","nullable":true},"CompanyCode":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CompanyCodeSlimDto"},"Step":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowStepDto"},"CorrectionReason":{"type":"string","nullable":true},"IssueDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"ReceiptDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"DueDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"ActualDeliveryDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"AssessmentDateFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"AssessmentDateTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"OwnReference":{"type":"string","nullable":true},"MonetaryTotal":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptMonetaryTotalDto"},"PaymentOrders":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptPaymentOrderDto"},"nullable":true},"ConnectedInvoices":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptSlimDto"},"nullable":true},"ResponsibleOfficial":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ResponsibleOfficialUltraSlimDto"},"Department":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.DepartmentUltraSlimDto"},"Lines":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptLineDto"},"nullable":true},"AdditionalFields":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AdditionalFieldExportServices.AdditionalFieldDto"},"nullable":true},"InvoiceType":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceTypeSlimDto"},"CommissioningData":{"allOf":[{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptCommissioningDataDto"}],"nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CompanyCodeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowStepDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptMonetaryTotalDto":{"type":"object","properties":{"TaxExclusiveAmount":{"type":"number","format":"decimal"},"TaxInclusiveAmount":{"type":"number","format":"decimal"},"TaxInclusiveLaborCost":{"type":"number","format":"decimal","nullable":true},"TaxInclusiveMaterialCost":{"type":"number","format":"decimal","nullable":true},"TaxExclusiveLaborCost":{"type":"number","format":"decimal","nullable":true},"TaxExclusiveMaterialCost":{"type":"number","format":"decimal","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptPaymentOrderDto":{"type":"object","properties":{"PaymentOrderNumber":{"type":"string","nullable":true},"Maturity":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"TransferDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"PaymentFileStatus":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.PaymentFileStatusDto"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.PaymentFileStatusDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"InvoiceReceiptNumber":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ResponsibleOfficialUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"CodeShort":{"type":"string","nullable":true},"PersonId":{"type":"integer","format":"int32"}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.DepartmentUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptLineDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"GrossAmount":{"type":"number","format":"decimal"},"NetAmount":{"type":"number","format":"decimal"},"Project":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ProjectSlimDto"},"EconomicUnit":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.EconomicUnitUltraSlimDto"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ProjectSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.EconomicUnitUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AdditionalFieldExportServices.AdditionalFieldDto":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"Content":{"type":"string","nullable":true},"Type":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceTypeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptCommissioningDataDto":{"type":"object","properties":{"CommissionItems":{"type":"array","items":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptCommissionItemDto"},"nullable":true},"AttachedCommissions":{"type":"array","items":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionUltraSlimDto"},"nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptCommissionItemDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"UnitPrice":{"type":"number","format":"decimal","nullable":true},"GrossAmount":{"type":"number","format":"decimal"},"NetAmount":{"type":"number","format":"decimal","nullable":true},"Units":{"type":"number","format":"decimal"},"CommissionText":{"type":"string","nullable":true},"InternalDescription":{"type":"string","nullable":true},"PositionNumber":{"type":"number","format":"decimal"},"IsCanceled":{"type":"boolean"},"IsSmallRepair":{"type":"boolean"},"TransferToCraftsmanPortalWithoutCosts":{"type":"boolean"},"BudgetData":{"allOf":[{"$ref":"#/components/schemas/Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionItemBudgetDto"}],"nullable":true},"SalesTax":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.SalesTaxSlimDto"},"ServiceCatalogue":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ServiceCatalogueSlimDto"},"CraftActivity":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CraftActivitySlimDto"},"QuantityType":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.QuantityTypeDto"},"Component":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ComponentSlimDto"},"Facility":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.FacilitySlimDto"},"ComponentCatalog":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ComponentCatalogUltraSlimDto"},"FacilityCatalog":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.FacilityCatalogSlimDto"},"ApprovedNetAmount":{"type":"number","format":"decimal","nullable":true},"Commission":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionSlimDto"}},"additionalProperties":false},"Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionItemBudgetDto":{"type":"object","properties":{"Budget":{"$ref":"#/components/schemas/Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BudgetSlimDto"},"BudgetDetail":{"$ref":"#/components/schemas/Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BudgetDetailSlimDto"}},"additionalProperties":false},"Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BudgetSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BudgetDetailSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"BudgetId":{"type":"integer","format":"int32"},"Hierarchy1Value":{"type":"string","nullable":true},"Hierarchy2Value":{"type":"string","nullable":true},"Hierarchy3Value":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.SalesTaxSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ServiceCatalogueSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"Description":{"type":"string","nullable":true},"QuantityType":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.QuantityTypeDto"}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.QuantityTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true},"ArgeCode":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CraftActivitySlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ComponentSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.FacilitySlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ComponentCatalogUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.FacilityCatalogSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true},"RecordingDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ReleaseDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"PlacingDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"AcceptanceDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"CompletionDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"CommissionType":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionTypeSlimDto"},"CommissionStatus":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionStatusDto"}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionTypeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionStatusDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/AccountancyInvoiceReceipt/NewInvoice/{id}":{"get":{"tags":["OpenWowi AccountancyInvoiceReceipt"],"operationId":"AccountancyInvoiceReceipt_GetInvoiceReceiptFlowResult","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"includeAdditionalField","in":"query","schema":{"type":"boolean","default":false}},{"name":"includePaymentOrder","in":"query","schema":{"type":"boolean","default":false}},{"name":"includeCommissionData","in":"query","schema":{"type":"boolean","default":false}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowDto"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

Zusätzlicher Endpunkt aus "Belegsystem"/"Bewegungsdaten" (bitte beachten Sie die abweichenden API-Endpunkt-Berechtigungen):

***

## GET /openwowi/v1.2/AccountancyTransactionData/InvoiceReceiptNew

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"InvoiceNumber":{"type":"string","nullable":true},"PreliminaryNumber":{"type":"string","nullable":true},"CompanyCode":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CompanyCodeSlimDto"},"Step":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowStepDto"},"CorrectionReason":{"type":"string","nullable":true},"IssueDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"ReceiptDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"DueDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"ActualDeliveryDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"AssessmentDateFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"AssessmentDateTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"OwnReference":{"type":"string","nullable":true},"MonetaryTotal":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptMonetaryTotalDto"},"PaymentOrders":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptPaymentOrderDto"},"nullable":true},"ConnectedInvoices":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptSlimDto"},"nullable":true},"ResponsibleOfficial":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ResponsibleOfficialUltraSlimDto"},"Department":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.DepartmentUltraSlimDto"},"Lines":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptLineDto"},"nullable":true},"AdditionalFields":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AdditionalFieldExportServices.AdditionalFieldDto"},"nullable":true},"InvoiceType":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceTypeSlimDto"},"CommissioningData":{"allOf":[{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptCommissioningDataDto"}],"nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CompanyCodeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowStepDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptMonetaryTotalDto":{"type":"object","properties":{"TaxExclusiveAmount":{"type":"number","format":"decimal"},"TaxInclusiveAmount":{"type":"number","format":"decimal"},"TaxInclusiveLaborCost":{"type":"number","format":"decimal","nullable":true},"TaxInclusiveMaterialCost":{"type":"number","format":"decimal","nullable":true},"TaxExclusiveLaborCost":{"type":"number","format":"decimal","nullable":true},"TaxExclusiveMaterialCost":{"type":"number","format":"decimal","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptPaymentOrderDto":{"type":"object","properties":{"PaymentOrderNumber":{"type":"string","nullable":true},"Maturity":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"TransferDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"PaymentFileStatus":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.PaymentFileStatusDto"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.PaymentFileStatusDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"InvoiceReceiptNumber":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ResponsibleOfficialUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"CodeShort":{"type":"string","nullable":true},"PersonId":{"type":"integer","format":"int32"}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.DepartmentUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptLineDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"GrossAmount":{"type":"number","format":"decimal"},"NetAmount":{"type":"number","format":"decimal"},"Project":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ProjectSlimDto"},"EconomicUnit":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.EconomicUnitUltraSlimDto"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ProjectSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.EconomicUnitUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AdditionalFieldExportServices.AdditionalFieldDto":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"Content":{"type":"string","nullable":true},"Type":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceTypeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptCommissioningDataDto":{"type":"object","properties":{"CommissionItems":{"type":"array","items":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptCommissionItemDto"},"nullable":true},"AttachedCommissions":{"type":"array","items":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionUltraSlimDto"},"nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptCommissionItemDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"UnitPrice":{"type":"number","format":"decimal","nullable":true},"GrossAmount":{"type":"number","format":"decimal"},"NetAmount":{"type":"number","format":"decimal","nullable":true},"Units":{"type":"number","format":"decimal"},"CommissionText":{"type":"string","nullable":true},"InternalDescription":{"type":"string","nullable":true},"PositionNumber":{"type":"number","format":"decimal"},"IsCanceled":{"type":"boolean"},"IsSmallRepair":{"type":"boolean"},"TransferToCraftsmanPortalWithoutCosts":{"type":"boolean"},"BudgetData":{"allOf":[{"$ref":"#/components/schemas/Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionItemBudgetDto"}],"nullable":true},"SalesTax":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.SalesTaxSlimDto"},"ServiceCatalogue":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ServiceCatalogueSlimDto"},"CraftActivity":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CraftActivitySlimDto"},"QuantityType":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.QuantityTypeDto"},"Component":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ComponentSlimDto"},"Facility":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.FacilitySlimDto"},"ComponentCatalog":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ComponentCatalogUltraSlimDto"},"FacilityCatalog":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.FacilityCatalogSlimDto"},"ApprovedNetAmount":{"type":"number","format":"decimal","nullable":true},"Commission":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionSlimDto"}},"additionalProperties":false},"Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionItemBudgetDto":{"type":"object","properties":{"Budget":{"$ref":"#/components/schemas/Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BudgetSlimDto"},"BudgetDetail":{"$ref":"#/components/schemas/Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BudgetDetailSlimDto"}},"additionalProperties":false},"Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BudgetSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BudgetDetailSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"BudgetId":{"type":"integer","format":"int32"},"Hierarchy1Value":{"type":"string","nullable":true},"Hierarchy2Value":{"type":"string","nullable":true},"Hierarchy3Value":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.SalesTaxSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ServiceCatalogueSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"Description":{"type":"string","nullable":true},"QuantityType":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.QuantityTypeDto"}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.QuantityTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true},"ArgeCode":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CraftActivitySlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ComponentSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.FacilitySlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ComponentCatalogUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.FacilityCatalogSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true},"RecordingDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ReleaseDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"PlacingDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"AcceptanceDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"CompletionDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"CommissionType":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionTypeSlimDto"},"CommissionStatus":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionStatusDto"}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionTypeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionStatusDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/AccountancyTransactionData/InvoiceReceiptNew":{"get":{"tags":["OpenWowi AccountancyTransactionData"],"operationId":"AccountancyTransactionData_GetInvoiceReceiptFlow","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"id","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"number","in":"query","schema":{"type":"string"}},{"name":"companyCodeId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"companyCodeCode","in":"query","schema":{"type":"string"}},{"name":"maturityDateFrom","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"maturityDateTo","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"invoiceDateFrom","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"invoiceDateTo","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"includePaymentOrder","in":"query","schema":{"type":"boolean","default":false}},{"name":"includeCommissionData","in":"query","schema":{"type":"boolean","default":false}},{"name":"includeAdditionalField","in":"query","schema":{"type":"boolean","default":false}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

Zusätzliche Endpunkte aus "Auftragswesen" (bitte beachten Sie die abweichenden API-Endpunkt-Berechtigungen):

<details>

<summary>Hinweise zur Funktion</summary>

Bitte beachten Sie, dass dieser Endpunkt nur Rechnungen anzeigen kann, die in der Leistungsprüfung den entsprechenden Auftragspositionen zugewiesen wurden.

</details>

***

## GET /openwowi/v1.2/CommissioningRead/InvoiceReceiptNew/CommissionItems

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowCommissioningDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Number":{"type":"string","nullable":true},"PreliminaryNumber":{"type":"string","nullable":true},"CompanyCode":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CompanyCodeSlimDto"},"InvoiceDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"MaturityDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"MonetaryTotal":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptMonetaryTotalDto"},"TaxTotal":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptTaxTotalDto"},"PaymentOrders":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptPaymentOrderDto"},"nullable":true},"CommissionItems":{"type":"array","items":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptCommissionItemDto"},"nullable":true},"AttachedCommissions":{"type":"array","items":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionUltraSlimDto"},"nullable":true},"ResponsibleOfficial":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ResponsibleOfficialUltraSlimDto"},"Department":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.DepartmentUltraSlimDto"},"EconomicUnits":{"type":"array","items":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.EconomicUnitUltraSlimDto"},"nullable":true},"Projects":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ProjectSlimDto"},"nullable":true},"InvoiceType":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceTypeSlimDto"},"Step":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowStepDto"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CompanyCodeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptMonetaryTotalDto":{"type":"object","properties":{"TaxExclusiveAmount":{"type":"number","format":"decimal"},"TaxInclusiveAmount":{"type":"number","format":"decimal"},"TaxInclusiveLaborCost":{"type":"number","format":"decimal","nullable":true},"TaxInclusiveMaterialCost":{"type":"number","format":"decimal","nullable":true},"TaxExclusiveLaborCost":{"type":"number","format":"decimal","nullable":true},"TaxExclusiveMaterialCost":{"type":"number","format":"decimal","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptTaxTotalDto":{"type":"object","properties":{"TaxAmount":{"type":"number","format":"decimal"},"TaxSubtotals":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptTaxSubtotalDto"},"nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptTaxSubtotalDto":{"type":"object","properties":{"Net":{"type":"number","format":"decimal"},"Vat":{"type":"number","format":"decimal"},"Tax":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.SalesTaxSlimDto"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.SalesTaxSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptPaymentOrderDto":{"type":"object","properties":{"PaymentOrderNumber":{"type":"string","nullable":true},"Maturity":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"TransferDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"PaymentFileStatus":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.PaymentFileStatusDto"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.PaymentFileStatusDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptCommissionItemDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"UnitPrice":{"type":"number","format":"decimal","nullable":true},"GrossAmount":{"type":"number","format":"decimal"},"NetAmount":{"type":"number","format":"decimal","nullable":true},"Units":{"type":"number","format":"decimal"},"CommissionText":{"type":"string","nullable":true},"InternalDescription":{"type":"string","nullable":true},"PositionNumber":{"type":"number","format":"decimal"},"IsCanceled":{"type":"boolean"},"IsSmallRepair":{"type":"boolean"},"TransferToCraftsmanPortalWithoutCosts":{"type":"boolean"},"BudgetData":{"allOf":[{"$ref":"#/components/schemas/Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionItemBudgetDto"}],"nullable":true},"SalesTax":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.SalesTaxSlimDto"},"ServiceCatalogue":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ServiceCatalogueSlimDto"},"CraftActivity":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CraftActivitySlimDto"},"QuantityType":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.QuantityTypeDto"},"Component":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ComponentSlimDto"},"Facility":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.FacilitySlimDto"},"ComponentCatalog":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ComponentCatalogUltraSlimDto"},"FacilityCatalog":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.FacilityCatalogSlimDto"},"ApprovedNetAmount":{"type":"number","format":"decimal","nullable":true},"Commission":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionSlimDto"}},"additionalProperties":false},"Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionItemBudgetDto":{"type":"object","properties":{"Budget":{"$ref":"#/components/schemas/Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BudgetSlimDto"},"BudgetDetail":{"$ref":"#/components/schemas/Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BudgetDetailSlimDto"}},"additionalProperties":false},"Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BudgetSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Budgeting.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BudgetDetailSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"BudgetId":{"type":"integer","format":"int32"},"Hierarchy1Value":{"type":"string","nullable":true},"Hierarchy2Value":{"type":"string","nullable":true},"Hierarchy3Value":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ServiceCatalogueSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"Description":{"type":"string","nullable":true},"QuantityType":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.QuantityTypeDto"}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.QuantityTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true},"ArgeCode":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CraftActivitySlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ComponentSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.FacilitySlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ComponentCatalogUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.FacilityCatalogSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true},"RecordingDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ReleaseDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"PlacingDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"AcceptanceDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"CompletionDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"CommissionType":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionTypeSlimDto"},"CommissionStatus":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionStatusDto"}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionTypeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionStatusDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ResponsibleOfficialUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"CodeShort":{"type":"string","nullable":true},"PersonId":{"type":"integer","format":"int32"}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.DepartmentUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.EconomicUnitUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ProjectSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceTypeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowStepDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/CommissioningRead/InvoiceReceiptNew/CommissionItems":{"get":{"tags":["OpenWowi Commissioning Read"],"operationId":"CommissioningRead_GetInvoiceReceiptFlowWithCommissionItems","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"id","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"number","in":"query","schema":{"type":"string"}},{"name":"companyCodeId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"companyCodeCode","in":"query","schema":{"type":"string"}},{"name":"commissionId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"commissionIdNum","in":"query","schema":{"type":"string"}},{"name":"maturityDateFrom","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"maturityDateTo","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"invoiceDateFrom","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"invoiceDateTo","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"includePaymentOrder","in":"query","schema":{"type":"boolean","default":false}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowCommissioningDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowCommissioningDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowCommissioningDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

## Zahlaufträge

#### Version 1.2

Zusätzlicher Endpunkt aus "Belegsystem"/"Bewegungsdaten" (bitte beachten Sie die abweichenden API-Endpunkt-Berechtigungen):

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/AccountancyTransactionData/InvoiceReceipt/PaymentOrders" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Ausgangsrechnungen lesen

{% hint style="danger" %}
Diese Funktion wird zur Zeit in WOWIPORT überarbeitet um mehrere Rechnungspositionen abbilden und eRechnungen erstellen zu können. Die Datenstruktur dieses Endpunktes wird sich im Rahmen dieser Änderungen ebenfalls anpassen.
{% endhint %}

#### Version 1.2

***

## GET /openwowi/v1.2/AccountancyOutgoingInvoiceRead/OutgoingInvoice

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.OutgoingInvoiceDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"OutgoingInvoiceNumber":{"type":"string","nullable":true},"CompanyCode":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CompanyCodeSlimDto"},"Processing":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ProcessingDto"},"Debitor":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.DebitorSlimDto"},"Regulation":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.RegulationDto"},"ResponsibleOfficial":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ResponsibleOfficialUltraSlimDto"},"InvoiceDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"MaturityDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"DeliveryDateFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"DeliveryDateTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"BookingPeriodNumber":{"type":"integer","format":"int32","nullable":true},"InvoiceType":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceTypeSlimDto"},"InvoiceVersion":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceVersionSlimDto"},"OwnReference":{"type":"string","nullable":true},"MonetaryTotal":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptMonetaryTotalDto"},"VoucherProcess":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.ResultDto.VoucherProcessResultDto"},"nullable":true},"VoucherId":{"type":"integer","format":"int32","nullable":true},"ContractsData":{"allOf":[{"$ref":"#/components/schemas/Contracts.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.OutgoingInvoiceContractsDataDto"}],"nullable":true},"PropertyManagementData":{"allOf":[{"$ref":"#/components/schemas/PropertyManagement.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.OutgoingInvoicePropertyManagementDataDto"}],"nullable":true},"InvoiceReceipt":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptSlimDto"},"Lines":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.OutgoingInvoiceLineDto"},"nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CompanyCodeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ProcessingDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.DebitorSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"DebitorNumber":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"PersonId":{"type":"integer","format":"int32","nullable":true},"DefaultBankaccount":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonBankAccountDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonBankAccountDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Iban":{"type":"string","nullable":true},"Bic":{"type":"string","nullable":true},"AccountHolder":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"BankAccountType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountTypeDto"},"BankAccountId":{"type":"integer","format":"int32"},"BankAccountUsageType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountUsageTypeDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountUsageTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.RegulationDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.ResponsibleOfficialUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"CodeShort":{"type":"string","nullable":true},"PersonId":{"type":"integer","format":"int32"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceTypeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceVersionSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptMonetaryTotalDto":{"type":"object","properties":{"TaxExclusiveAmount":{"type":"number","format":"decimal"},"TaxInclusiveAmount":{"type":"number","format":"decimal"},"TaxInclusiveLaborCost":{"type":"number","format":"decimal","nullable":true},"TaxInclusiveMaterialCost":{"type":"number","format":"decimal","nullable":true},"TaxExclusiveLaborCost":{"type":"number","format":"decimal","nullable":true},"TaxExclusiveMaterialCost":{"type":"number","format":"decimal","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.ResultDto.VoucherProcessResultDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"CompanyCode":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CompanyCodeSlimDto"},"VoucherProcessType":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessTypeDto"},"BookingRuleType":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.BookingRuleTypeDto"},"Description":{"type":"string","nullable":true},"FiscalYearNumber":{"type":"integer","format":"int32","nullable":true},"BookingPeriodNumber":{"type":"integer","format":"int32","nullable":true},"BookingDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ReleaseDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"BookingNumber":{"type":"string","nullable":true},"Bookings":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.ResultDto.BookingResultDto"},"nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.BookingRuleTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.ResultDto.BookingResultDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"MasterAccount":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.MasterAccountSlimDto"},"SalesTax":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.SalesTaxSlimDto"},"DebitCredit":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.RequestDto.BookingDebitCredit"},"Amount":{"type":"number","format":"decimal"},"Maturity":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"OptionTaxPercentage":{"type":"number","format":"decimal","nullable":true},"OriginalGrossAmount":{"type":"number","format":"decimal","nullable":true},"OriginalOptionAmount":{"type":"number","format":"decimal","nullable":true},"OptionTaxSource":{"type":"string","nullable":true},"AdditionalAccount":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.BookingAdditionalAccountDto"},"nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.MasterAccountSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.SalesTaxSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.RequestDto.BookingDebitCredit":{"enum":["Debit","Credit"],"type":"string"},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.BookingAdditionalAccountDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32","nullable":true},"Value":{"type":"string","nullable":true},"Type":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.AdditionalAccountTypeDto"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.AdditionalAccountTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Contracts.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.OutgoingInvoiceContractsDataDto":{"type":"object","properties":{"LicenseAgreement":{"$ref":"#/components/schemas/Contracts.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LicenseAgreementUltraSlimDto"}},"additionalProperties":false},"Contracts.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LicenseAgreementUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true}},"additionalProperties":false},"PropertyManagement.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.OutgoingInvoicePropertyManagementDataDto":{"type":"object","properties":{"PropertyManagementContract":{"$ref":"#/components/schemas/PropertyManagement.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PropertyManagementContractUltraSlimDto"}},"additionalProperties":false},"PropertyManagement.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PropertyManagementContractUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"InvoiceReceiptNumber":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.OutgoingInvoiceLineDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"GrossAmount":{"type":"number","format":"decimal"},"NetAmount":{"type":"number","format":"decimal"},"Description":{"type":"string","nullable":true},"ShortDescription":{"type":"string","nullable":true},"EconomicUnit":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.EconomicUnitUltraSlimDto"}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.EconomicUnitUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/AccountancyOutgoingInvoiceRead/OutgoingInvoice":{"get":{"tags":["OpenWowi AccountancyOutgoingInvoiceRead"],"operationId":"AccountancyOutgoingInvoice_GetOutgoingInvoice","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"id","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"number","in":"query","schema":{"type":"string"}},{"name":"companyCodeId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"maturityDateFrom","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"maturityDateTo","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"invoiceDateFrom","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"invoiceDateTo","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"includeAdditionalField","in":"query","schema":{"type":"boolean","default":false}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.OutgoingInvoiceDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.OutgoingInvoiceDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.OutgoingInvoiceDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## Rechnungen erfassen (alter Eingangsrechnungsprozess)

<details>

<summary>Hinweise zur Funktion</summary>

Die Daten zum "PaymentMeansCode" wurden dem XRechnung-Format entnommen. Eine Tabelle der gültigen Codes finden Sie unten auf der Seite.

Die Beträge in der Node "Lines" sind ausschließlich Nettobeträge. Hierbei gilt:

BaseAmount \
./. LineDiscountAmount \
./. LineWitholdAmount \
\= LineExtensionsAmount

Die API prüft, ob alle Beträge in Summe übereinstimmen. Hierbei wird auch ein Abgleich zwischen Brutto- und Nettowerten vorgenommen.

Bitte beachten Sie, dass die API bereits in der Lage ist, mehr als zwei unterschiedliche Steuer-IDs im "Lines" Knoten zu berücksichtigen. WOWIPORT erlaubt derzeit allerdings nur zwei unterschiedliche Steuer-IDs.&#x20;

Wenn Sie nur einen Steuersatz "U0" oder "V0" im Knoten "Line" übermitteln, dürfen Sie den Knoten "TaxTotal" nicht mitsenden, da keine Steuer anfällt.

Die Übergabe eines Auftragsbezuges erfolgt, anders als die übrigen Entitätzsbezüge, nicht in dern "References". Die Zuordnung erfolgt hier über die OrderReference (jeweils pro Rechnungszeile oder für die gesamte Rechnung).&#x20;

Wenn Sie eine "OrderReference" übermitteln, brauchen Sie die "Line" nicht mitzusenden. Diese werden aus dem Auftrag entnommen, wenn Sie "OrderReferencesAllLines" = "true" setzen. Bitte beachten Sie, dass der Auftragswert exakt mit dem Rechnungswert übereinstimmen muss.

Die "InvoiceDocumentId" darf nur verwendet werden, wenn das WOWIPORT DMS (d.velop) aktiv ist. Hier wird die Dokumenten ID aus d.velop eingetragen. Eine fehlerhafte Verwendung des Feldes kann zu Folgefehlern in der Rechnungsverarbeitung führen.

</details>

## Eingangsrechnung im Status "Erfassung"

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/AccountancyInvoiceReceipt/Recording" method="post" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Eingangsrechnung im Status "Kontierung"

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/AccountancyInvoiceReceipt/AccountAssignment" method="post" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Eingangsrechnung im Status "Gebucht"

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/AccountancyInvoiceReceipt/Released" method="post" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Rechnungen erfassen (neuer Eingangsrechnungsprozess)

<details>

<summary>Hinweise zur Funktion</summary>

Die Daten zum "PaymentMeansCode" wurden dem XRechnung-Format entnommen. Eine Tabelle der gültigen Codes finden Sie unten auf der Seite.

Die Übergabe eines Auftragsbezuges erfolgt, anders als die übrigen Entitätzsbezüge, nicht in den "References". Die Zuordnung erfolgt hier über die OrderReferences. Es können mehrere Aufträge verknüpft werden.&#x20;

Innerhalb der Lines haben Sie dann die Möglichkeit, die "Commission Items" aus den aus den Aufträgen mit den jeweiligen Rechnungspositionen zu verknüpfen. Dies erfolgt über die OrderReferenceLineId.&#x20;

Die "InvoiceDocumentId" darf nur verwendet werden, wenn das WOWIPORT DMS (d.velop) aktiv ist. Hier wird die Dokumenten ID aus d.velop eingetragen. Eine fehlerhafte Verwendung des Feldes kann zu Folgefehlern in der Rechnungsverarbeitung führen.

Der neue Eingangsrechnungsprozess ist dafür ausgelegt, auch unvollständige Rechnungen (eRechnungen) verarbeiten zu können. Aus diesem Grund werden die Rechnungen immer in dem maximal möglichen oder dem gewünschten Bearbeitungsschritt angenommen. Sollten also fachliche Fehler in der Rechnung bestehen, so wird diese zwar angenommen, aber der Status kann abweichen. \
Sie können den Status im Response unter "CurrentStep" sehen.

</details>

## Eingangsrechnung im Status "Erfassung"

#### Version 1.2

***

## POST /openwowi/v1.2/AccountancyInvoiceReceipt/RecordingNew

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Request.InvoiceReceiptFlowImportRequestDto":{"type":"object","properties":{"CompanyCodeId":{"type":"integer","format":"int32"},"InvoiceTypeId":{"type":"integer","format":"int32"},"InvoiceDocumentId":{"type":"string","nullable":true},"References":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Result.InvoiceFlowReferencesDto"},"OrderReferences":{"type":"array","items":{"type":"string"},"nullable":true},"ReceiptDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"IssueDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"DueDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ActualDeliveryDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"AssessmentDateFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"AssessmentDateTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"AccountingSupplierParty":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptImportServiceDto.RequestDto.AccountingSupplierPartyDto"},"PaymentMeans":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptImportServiceDto.RequestDto.PaymentMeansDto"},"Discount":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Request.DiscountTermDto"},"LaborCost":{"type":"number","format":"decimal","nullable":true},"OwnReference":{"type":"string","nullable":true},"Lines":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Request.InvoiceReceiptFlowLineImportDto"},"nullable":true},"Withholds":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Request.InvoiceReceiptFlowWithholdDto"},"nullable":true},"AllowanceCharges":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Request.InvoiceReceiptFlowAllowanceChargeDto"},"nullable":true},"VoucherProcesses":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.RequestDto.VoucherProcessImportRequestDto"},"nullable":true},"ConnectedInvoices":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptSlimDto"},"nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Result.InvoiceFlowReferencesDto":{"type":"object","properties":{"PropertyManagementContract":{"type":"integer","format":"int32","nullable":true},"ResponsibleOfficialId":{"type":"integer","format":"int32","nullable":true},"DepartmentId":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptImportServiceDto.RequestDto.AccountingSupplierPartyDto":{"type":"object","properties":{"CreditorId":{"type":"integer","format":"int32"},"PartnerReference":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptImportServiceDto.RequestDto.PaymentMeansDto":{"type":"object","properties":{"PaymentMeansCode":{"type":"integer","format":"int32"},"Iban":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Request.DiscountTermDto":{"type":"object","properties":{"Percentage":{"type":"number","format":"decimal","nullable":true},"MaturityInDays":{"type":"integer","format":"int32"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Request.InvoiceReceiptFlowLineImportDto":{"type":"object","properties":{"GrossAmount":{"type":"number","format":"decimal"},"Description":{"type":"string","nullable":true},"SalesTaxId":{"type":"integer","format":"int32","nullable":true},"Quantity":{"type":"number","format":"decimal","nullable":true},"QuantityTypeId":{"type":"integer","format":"int32","nullable":true},"References":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Result.InvoiceLineReferencesDto"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Result.InvoiceLineReferencesDto":{"type":"object","properties":{"EconomicUnitId":{"type":"integer","format":"int32","nullable":true},"BuildingId":{"type":"integer","format":"int32","nullable":true},"UseUnitId":{"type":"integer","format":"int32","nullable":true},"LicenseAgreementId":{"type":"integer","format":"int32","nullable":true},"ProjectId":{"type":"integer","format":"int32","nullable":true},"OrderReferenceLineId":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Request.InvoiceReceiptFlowWithholdDto":{"type":"object","properties":{"TaxExclusiveAmount":{"type":"number","format":"decimal"},"Percentage":{"type":"number","format":"decimal"},"DueDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"Description":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Request.InvoiceReceiptFlowAllowanceChargeDto":{"type":"object","properties":{"IsCharge":{"type":"boolean"},"TaxInclusiveAmount":{"type":"number","format":"decimal"},"Reason":{"type":"string","nullable":true},"ReasonTypeId":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.RequestDto.VoucherProcessImportRequestDto":{"type":"object","properties":{"AddToExistingVoucherId":{"type":"integer","format":"int32","nullable":true},"NewVoucherImportRequest":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.RequestDto.VoucherImportRequestDto"},"CompanyCodeId":{"type":"integer","format":"int32"},"BookingDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"VoucherProcessTypeId":{"type":"integer","format":"int32"},"BookingRuleTypeId":{"type":"integer","format":"int32"},"Description":{"type":"string","nullable":true},"Bookings":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.RequestDto.BookingImportRequestDto"},"nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.RequestDto.VoucherImportRequestDto":{"type":"object","properties":{"VoucherDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"PartnerReference":{"type":"string","nullable":true},"OwnReference":{"type":"string","nullable":true},"Description":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.RequestDto.BookingImportRequestDto":{"type":"object","properties":{"MasterAccountId":{"type":"integer","format":"int32"},"BookingText":{"type":"string","nullable":true},"SalesTaxId":{"type":"integer","format":"int32","nullable":true},"DebitCredit":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.RequestDto.BookingDebitCredit"},"Amount":{"type":"number","format":"decimal"},"Maturity":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"AdditionalAccount":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.RequestDto.BookingAdditionalAccountImportRequestDto"},"nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.RequestDto.BookingDebitCredit":{"enum":["Debit","Credit"],"type":"string"},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.RequestDto.BookingAdditionalAccountImportRequestDto":{"type":"object","properties":{"AdditionalAccountTypeId":{"type":"integer","format":"int32"},"Id":{"type":"integer","format":"int32"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"InvoiceReceiptNumber":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptImportServiceDto.ResultDto.InvoiceReceiptResultDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"NodeId":{"type":"integer","format":"int32"},"InvoiceNumber":{"type":"string","nullable":true},"CompanyCode":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CompanyCodeSlimDto"},"Creditor":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorSlimDto"},"InvoiceType":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceTypeSlimDto"},"References":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptImportServiceDto.RequestDto.InvoiceReferencesDto"},"OrderReferences":{"type":"array","items":{"type":"string"},"nullable":true},"IssueDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"DueDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ActualDeliveryDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"BaseTotal":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptMonetaryTotalDto"},"InvoiceAdjustments":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptImportServiceDto.ResultDto.InvoiceAdjustmentDto"},"nullable":true},"TaxTotal":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptTaxTotalDto"},"VoucherProcesses":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.ResultDto.VoucherProcessResultDto"},"nullable":true},"AdditionalFields":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AdditionalFieldExportServices.AdditionalFieldDto"},"nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CompanyCodeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CreditorSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"CreditorNumber":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceTypeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptImportServiceDto.RequestDto.InvoiceReferencesDto":{"type":"object","properties":{"PropertyManagementContractId":{"type":"integer","format":"int32","nullable":true},"EconomicUnitId":{"type":"integer","format":"int32","nullable":true},"BuildingId":{"type":"integer","format":"int32","nullable":true},"LandId":{"type":"integer","format":"int32","nullable":true},"UseUnitId":{"type":"integer","format":"int32","nullable":true},"LicenseAgreementId":{"type":"integer","format":"int32","nullable":true},"ResponsibleOfficialId":{"type":"integer","format":"int32","nullable":true},"ProjectId":{"type":"integer","format":"int32","nullable":true},"DepartmentId":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptMonetaryTotalDto":{"type":"object","properties":{"TaxExclusiveAmount":{"type":"number","format":"decimal"},"TaxInclusiveAmount":{"type":"number","format":"decimal"},"TaxInclusiveLaborCost":{"type":"number","format":"decimal","nullable":true},"TaxInclusiveMaterialCost":{"type":"number","format":"decimal","nullable":true},"TaxExclusiveLaborCost":{"type":"number","format":"decimal","nullable":true},"TaxExclusiveMaterialCost":{"type":"number","format":"decimal","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptImportServiceDto.ResultDto.InvoiceAdjustmentDto":{"type":"object","properties":{"Position":{"type":"integer","format":"int32"},"Reason":{"$ref":"#/components/schemas/FIOInvoiceChangeReasonEnum"},"Date":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"TaxExclusiveAmount":{"type":"number","format":"decimal"},"TaxInclusiveAmount":{"type":"number","format":"decimal"}},"additionalProperties":false},"FIOInvoiceChangeReasonEnum":{"enum":["IncreaseDueToPriceRise","DecreaseDueToPriceDifference","Discount","IncreaseDueToCalculationError","DecreaseDueToCalculationError","SecurityWithhold","WarrantyWithhold","ImpairedRelease","IncreaseDueToSecurityWithholdOutpayment"],"type":"string"},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptTaxTotalDto":{"type":"object","properties":{"TaxAmount":{"type":"number","format":"decimal"},"TaxSubtotals":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptTaxSubtotalDto"},"nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptTaxSubtotalDto":{"type":"object","properties":{"Net":{"type":"number","format":"decimal"},"Vat":{"type":"number","format":"decimal"},"Tax":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.SalesTaxSlimDto"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.SalesTaxSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.ResultDto.VoucherProcessResultDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"CompanyCode":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CompanyCodeSlimDto"},"VoucherProcessType":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessTypeDto"},"BookingRuleType":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.BookingRuleTypeDto"},"Description":{"type":"string","nullable":true},"FiscalYearNumber":{"type":"integer","format":"int32","nullable":true},"BookingPeriodNumber":{"type":"integer","format":"int32","nullable":true},"BookingDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ReleaseDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"BookingNumber":{"type":"string","nullable":true},"Bookings":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.ResultDto.BookingResultDto"},"nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.BookingRuleTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.ResultDto.BookingResultDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"MasterAccount":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.MasterAccountSlimDto"},"SalesTax":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.SalesTaxSlimDto"},"DebitCredit":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.RequestDto.BookingDebitCredit"},"Amount":{"type":"number","format":"decimal"},"Maturity":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"OptionTaxPercentage":{"type":"number","format":"decimal","nullable":true},"OriginalGrossAmount":{"type":"number","format":"decimal","nullable":true},"OriginalOptionAmount":{"type":"number","format":"decimal","nullable":true},"OptionTaxSource":{"type":"string","nullable":true},"AdditionalAccount":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.BookingAdditionalAccountDto"},"nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.MasterAccountSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.BookingAdditionalAccountDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32","nullable":true},"Value":{"type":"string","nullable":true},"Type":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.AdditionalAccountTypeDto"}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.AdditionalAccountTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AdditionalFieldExportServices.AdditionalFieldDto":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"Content":{"type":"string","nullable":true},"Type":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/AccountancyInvoiceReceipt/RecordingNew":{"post":{"tags":["OpenWowi AccountancyInvoiceReceipt"],"operationId":"AccountancyInvoiceReceipt_CreateInvoiceReceiptFlowRecording","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"testMode","in":"query","schema":{"type":"boolean"}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Request.InvoiceReceiptFlowImportRequestDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Request.InvoiceReceiptFlowImportRequestDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Request.InvoiceReceiptFlowImportRequestDto"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptImportServiceDto.ResultDto.InvoiceReceiptResultDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptImportServiceDto.ResultDto.InvoiceReceiptResultDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptImportServiceDto.ResultDto.InvoiceReceiptResultDto"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## Eingangsrechnung im Status "Kontierung"

#### Version 1.2

***

## POST /openwowi/v1.2/AccountancyInvoiceReceipt/AccountAssignmentNew

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Request.InvoiceReceiptFlowImportRequestDto":{"type":"object","properties":{"CompanyCodeId":{"type":"integer","format":"int32"},"InvoiceTypeId":{"type":"integer","format":"int32"},"InvoiceDocumentId":{"type":"string","nullable":true},"References":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Result.InvoiceFlowReferencesDto"},"OrderReferences":{"type":"array","items":{"type":"string"},"nullable":true},"ReceiptDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"IssueDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"DueDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ActualDeliveryDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"AssessmentDateFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"AssessmentDateTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"AccountingSupplierParty":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptImportServiceDto.RequestDto.AccountingSupplierPartyDto"},"PaymentMeans":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptImportServiceDto.RequestDto.PaymentMeansDto"},"Discount":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Request.DiscountTermDto"},"LaborCost":{"type":"number","format":"decimal","nullable":true},"OwnReference":{"type":"string","nullable":true},"Lines":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Request.InvoiceReceiptFlowLineImportDto"},"nullable":true},"Withholds":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Request.InvoiceReceiptFlowWithholdDto"},"nullable":true},"AllowanceCharges":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Request.InvoiceReceiptFlowAllowanceChargeDto"},"nullable":true},"VoucherProcesses":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.VoucherProcessImportServiceDto.RequestDto.VoucherProcessImportRequestDto"},"nullable":true},"ConnectedInvoices":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptSlimDto"},"nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.InvoiceReceiptFlowImportServiceDto.Result.InvoiceFlowReferencesDto":{"type":"object","properties":{"PropertyManagementContract":{"type":"integer","format":"int32","nullable":true},"ResponsibleOfficialId":{"type":"integer","format":"int32","nullable":true},"DepartmentId":{"type":"integer","format":"int32","nullable":true}},"additionalProper
[...]
